%global packname  Rcompression
%global rlibdir %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.92.0
Release:          2%{?dist}
Summary:          In-memory decompression for gnu zip and bzip2 formats

Group:            Applications/Engineering 
License:          BSD
URL:              http://www.omegahat.org/Rcompression/index.html
Source0:          http://www.omegahat.org/Rcompression/%{packname}_0.92-0.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R-methods zlib bzip2 zip
BuildRequires:    R-devel tex(latex) R-methods zip zlib bzip2

%description
The package is a basic interface to some of the compression facilities in
the zlib and bzip2 libraries for uncompressing (and compressing) data in
memory that is not in a file. It handles bz2, gzip and regular compress
(.Z) content. It can work on files or with data in memory, e.g. downloaded
directly into memory via an HTTP request. It is used when we don't want to
write data to a file and then read it back into R. This is common when
performing HTTP requests via the RCurl package and dependent packages such
as SSOAP.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc %{rlibdir}/Rcompression/DESCRIPTION
%doc %{rlibdir}/Rcompression/html
%{rlibdir}/Rcompression/R
%{rlibdir}/Rcompression/INDEX
%{rlibdir}/Rcompression/Meta
%{rlibdir}/Rcompression/NAMESPACE
%{rlibdir}/Rcompression/help
%{rlibdir}/Rcompression/libs
%{rlibdir}/Rcompression/sampleData

%changelog
* Sat Feb 13 2011 pingou <pingou@pingoured.fr> 0.92.0-2
- Add zip zlib and bzip2 as R and BR

* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 0.92.0-1
- initial package for Fedora
